Make the RubyMine 2.0.1 debugger work for you…

February 17, 2010 David Goudreau

In the latest Rubymine 2.0.1, we’ve had lots of problems on our workstations with getting it working reliably. Seeing as how I love using a debugger and look forward to leaving the days of puts behind, I’ve spent a fair amount of time troubleshooting this problem.

Here’s the deal – Rubymine 2.0.1 must have ruby-debug-ide -v=0.4.7 installed to work correctly, not the latest, which is ruby-debug-ide -v=0.4.9. You should also check out the Console tab of the debugger if you need any additional troubleshooting help.

So go ahead, uninstall 0.4.9, install 0.4.7 open up Rubymine 2.0.1 and start debugging – your inner troubleshooter will thank you.

About the Author

Biography

More Content by David Goudreau
Previous
Selenium in the cloud, saucelabs.com and the SaucelabsAdapter
Selenium in the cloud, saucelabs.com and the SaucelabsAdapter

Pivotal has recently started experimenting with a service that runs Selenium tests 'in the cloud' at saucel...

Next
API Cake
API Cake

A made up conversation with myself: Let's say I have a cool service. Now I want someone to take my cool se...

Enter curious. Exit smarter.

Register Now